Subject: bug#26302: Deploying the i18n’d web site

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 8 Apr 2020 00:02:25 +0200

On Tue, Apr 07, 2020 at 11:18:56PM +0200, Ludovic Courtès wrote:
> I haven’t tested it though.  I’m a bit concerned about the rewrite rule,
> because there are bits that should not be rewritten, like:
> 
>   /manual (must not be: /LANG/manual, at least for now)
>   /guix-refcard.pdf
>   …
> 
> Will there be rewritten with the config below?

These should be OK.  Because it uses try_files, both /en/manual and
/manual should be checked.  guix-refcard.pdf does not end in .html and
therefore is not rewritten.

set_from_accept_language should better be a global directive I think.

> I know you’re already busy with the installer, Florian, so maybe we can
> postpone that after the release, unless someone else champions to test it!
> 
> Thanks,
> Ludo’.
> 

I will test, but I cannot test if certbot and tls work.  But of course
the translated website can wait.

Regards,
Florian